<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.governorate.home.title">Governorates</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-governorate" [routerLink]="['/governorate/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.governorate.home.createLabel">
            Create a new Governorate
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="governorates?.length === 0">
        <span jhiTranslate="tfsBackendApp.governorate.home.notFound">No governorates found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="governorates && governorates.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.governorate.name">Name</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let governorate of governorates ;trackBy: trackId">
                    <td><a [routerLink]="['/governorate', governorate.id, 'view']">{{ governorate.id }}</a></td>
                    <td>{{ governorate.name }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/governorate', governorate.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/governorate', governorate.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(governorate)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
